<script lang="ts">
import Vue, { PropType } from 'vue';
interface recognitionCard {
  header?: string;
  logo: string;
  text: string;
  logo_alt?: string;
  link: {
    text: string;
    href: string;
    data_ga_name?: string;
    data_ga_location?: string;
  };
}

interface recognitionCardData {
  cards: recognitionCard[];
}
export default Vue.extend({
  props: {
    data: {
      type: Object as PropType<recognitionCardData>,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer variant="charcoal-100">
    <div class="recognition-cards">
      <a
        v-for="card in data.cards"
        :key="card.text"
        :href="card.link.href"
        :data-ga-name="card.link.data_ga_name"
        :data-ga-location="card.link.data_ga_location"
      >
        <div class="card">
          <SlpTypography v-if="card.header" tag="p" variant="heading4-bold">
            {{ card.header }}
          </SlpTypography>

          <img
            v-if="card.logo"
            height="24px"
            :src="card.logo"
            :alt="card.logo_alt"
            loading="lazy"
          />

          <SlpTypography
            v-if="card.text"
            tag="p"
            variant="body1"
            class="text"
            >{{ card.text }}</SlpTypography
          >

          <SlpButton variant="tertiary" class="cta">
            {{ card.link.text }}
            <SlpIcon
              name="chevron-right"
              variant="product"
              size="24"
              class="recognition__content-icon"
            />
          </SlpButton>
        </div>
      </a>
    </div>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.recognition-cards {
  display: flex;
  flex-direction: row;
  justify-content: center;
  gap: 24px;
  padding-top: 96px;
  padding-bottom: 96px;
  @media (max-width: $breakpoint-lg) {
    flex-direction: column;
  }
  .card {
    display: flex;
    flex-direction: column;
    border-radius: 4px;
    border: 0px solid var(--slp-color-surface-600, #45424d);
    background: rgba(255, 255, 255, 0.05);
    padding: 24px;
    align-items: flex-start;
    gap: 16px;
    flex: 1 0 0;
    align-self: stretch;
    .text,
    .cta {
      color: white;
      font-size: 18px;
      font-style: normal;
      font-weight: 580;
      line-height: 22px;
      padding: 0;
      text-decoration: none;
      &:hover {
        text-decoration: none;
      }
    }
    .text {
      font-size: 18px;
      font-style: normal;
      font-weight: 400;
      line-height: 26px;
    }
    transition: 0.15s;
    &:hover {
      border-radius: 4px;
      border: 0px solid var(--slp-color-surface-600, #45424d);
      background: rgba(255, 255, 255, 0.1);
    }
  }
}
</style>
